from ray.job_submission import JobSubmissionClient
import ray
import urllib3

# Suppress the warning about unverified HTTPS requests
urllib3.disable_warnings(urllib3.exceptions.InsecureRequestWarning)

# Ray client
client = JobSubmissionClient(
    "<https URL for Ray Endpoint>", 
    headers={"Authorization": "Basic <Base64 Encoded Credential>"}, 
    verify=False  # Disable SSL verification
)

# Submit the job with the required runtime environment
client.submit_job(
    entrypoint="python tensorflow_test.py",  # This is the script you want to run
    runtime_env={
        "pip": ["tensorflow==2.9.0", "numpy"],  # TensorFlow and other dependencies
        "working_dir": "./"  # The directory where your script is located
    }
)